Magento

Topics covered on this page

Accept payments through Omise on your Magento-based online store.
No programming required.

Supported versions

Supports Magento 2.1.18--2.3.4.

Magento 1 end of life (EOL) is 30 June 2020. We urge all merchants still using Magento 1 to migrate to Magento 2 as soon as possible.

Can't find your version of Magento? Please contact support.

Supported payment methods

  • Alipay (Online)

  • Bill Payment

  • Credit and Debit Cards

  • Installments

  • Internet Banking

  • Konbini, Pay-easy, and Online Banking

  • Pay with Points

  • PayNow

  • TrueMoney Wallet

Do you need a payment method not currently supported? Please contact support.

Installation

Use composer to install.

Add the following dependency to the composer.json for Magento.

{
  "require": {
    "omise/omise-magento": "@stable"
  }
}

Install this module and its dependencies using composer.

composer update

If you are installing the module to an existing Magento installation, you may need to run the following commands after running composer:

php bin/magento module:enable Omise_Payment --clear-static-content
php bin/magento setup:upgrade
php bin/magento setup:di:compile

Configuration

Connect your Omise account and enable your preferred payment methods. This enables your customers to make payments on your store through Omise.

In your Magento admin interface:

  1. Go to Stores > Configuration > Sales > Payment Methods.
  2. Configuration options are displayed under the Omise section.
  3. Add your test and live keys and enable the module

configuration

Note: if the setting for Sandbox is set to Yes, your test keys will be used. If the setting for Sandbox is set to No, your live keys for LIVE will be used.

Enabling 3DS

If you would like to process 3DS (also known as 3-D Secure) charges, please enable 3DS on the plugin in configuration before contacting support to enable 3DS on your account.

If you enabled 3DS for your account, but haven't yet enabled 3DS on the plugin, you might get a payment rejected failure with the message 3d secure is requested but return uri is not set

Customization

This plugin is open source. To see the source code and details on how to contribute changes, visit its repository on GitHub. Pull requests welcome.

Support

If you're having issues with this plugin, please contact support.

Omise uses cookies to improve your overall site experience and collect information on your visits and browsing behavior. By continuing to browse our website, you agree to our Privacy Policy. Learn more